#ifndef _Handle_PXCAFDoc_GraphNode_HeaderFile
#define _Handle_PXCAFDoc_GraphNode_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PDF_Attribute_HeaderFile
#include <Handle_PDF_Attribute.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PDF_Attribute);
class PXCAFDoc_GraphNode;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PXCAFDoc_GraphNode);

class Handle(PXCAFDoc_GraphNode) : public Handle(PDF_Attribute) {
  public:

    Handle(PXCAFDoc_GraphNode)():Handle(PDF_Attribute)() {} 
    Handle(PXCAFDoc_GraphNode)(const Handle(PXCAFDoc_GraphNode)& aHandle) : Handle(PDF_Attribute)(aHandle) 
     {
     }

    Handle(PXCAFDoc_GraphNode)(const PXCAFDoc_GraphNode* anItem) : Handle(PDF_Attribute)((PDF_Attribute *)anItem) 
     {
     }

    Handle(PXCAFDoc_GraphNode)& operator=(const Handle(PXCAFDoc_GraphNode)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PXCAFDoc_GraphNode)& operator=(const PXCAFDoc_GraphNode* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PXCAFDoc_GraphNode* operator->() const 
     {
      return (PXCAFDoc_GraphNode *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PXCAFDoc_GraphNode) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
